cowboy_stream:terminate(3)

NAME

cowboy_stream:terminate - Terminate a stream

DESCRIPTION
    terminate(StreamID, Reason, State) -> ok

    StreamID :: cowboy_stream:stream_id()
    Reason   :: cowboy_stream:reason()
    State    - opaque

Terminate a stream.

This function must be called by all stream handlers. It will terminate the next configured stream handler.

ARGUMENTS

StreamID
    The stream ID.

Reason
    Reason for termination.

State
    The state for the next stream handler.

RETURN VALUE

The atom ok is always returned. It can be safely ignored.

CHANGELOG
    • 2.0: Function introduced.

EXAMPLES

Terminate the next stream handler
    terminate(StreamID, Reason, State=#state{next=Next0}) ->
        my_termination(State),
        cowboy_stream:terminate(StreamID, Reason, Next0).

SEE ALSO

cowboy_stream(3), cowboy_stream:init(3), cowboy_stream:data(3), cowboy_stream:info(3), cowboy_stream:early_error(3)